{\rtf0\ansi{\fonttbl\f0\fmodern Courier;\f1\ftech Symbol;\f2\fmodern Ohlfs;}
\margl40
\margr40
\pard\tx520\tx1060\tx1600\tx2120\tx2660\tx3200\tx3720\tx4260\tx4800\tx5320\f0\b0\i0\ulnone\fs24\fc0\cf0 //\
//
\i 	
\b FILENAME
\b0 :	
\b\i0 Navigator.h \

\b0 //
\i 	
\b SUMMARY
\b0 :	
\b\i0 Header for the Navigator class, which manages & locates eTDocs
\b0 \
//	
\b\i SUPERCLASS
\b0 :
\i0 	
\b Object:Navigator	
\b0 \
//	
\b\i PROTOCOLS
\b0 :
\i0 	
\b <DocNotification>
\b0 \
//	
\b\i INTERFACE
\b0 :
\i0 	
\b Navigator.nib
\b0 \
//	
\b\i AUTHOR
\b0 :		
\b\i0 Rohit Khare
\b0 \
//	
\b\i COPYRIGHT
\b0 :	
\f1\i0 
\f0\b 1993,94 California Institure of Technology, eText Project\

\b0 //\
//	
\b\i Description
\b0\i0 \
//		So far, Navigator is a shell. It needs to have a persistent DB of docs.\
//	It needs to support DLib indexing. It needs to handle generic eTDocs.\
//\
//	
\b\i HISTORY
\b0\i0 \
//	02/12/95:	
\b Added LinkWell.
\b0 \
//	11/20/94:	
\b Split into 3 panels.
\b0 \
//	10/31/94:	
\b Added the ability to inspect docInfos directly from the Nav.
\b0 \
//	10/30/94:	
\b Added -touch
\b0 \
//	09/25/94:	
\b Revamped for eText5
\b0 \
//	08/21/93:	
\b Created. Gutless object
\b0 \
//\
//	
\b Imported Interfaces
\b0 \
//\
	#import "
\b eTextKernel.h
\b0 "\
\

\i @interface Navigator:Object <DocNotification> 
\i0 \{\
//\
//	
\b Instance Variables
\b0 \
//\
	Panel		*
\b navPanel
\b0 ;\
	NXBrowser	*
\b navBrowser
\b0 ;\
	id			*
\b navWell
\b0 ;\
	Panel		*
\b btPanel
\b0 ;\
	NXBrowser	*
\b btBrowser
\b0 ;\
	Panel		*
\b iqPanel
\b0 ;\
	FormCell	*
\b iqAuthor
\b0 ;\
	FormCell	*
\b iqDocTitle
\b0 ;\
	FormCell	*
\b iqKeyword
\b0 ;\
	FormCell	*
\b iqComments
\b0 ;\
	List		*
\b btList
\b0 ;\
	BOOL 		
\b btDirty
\b0 , 
\b navDirty
\b0 , 
\b shouldUseQP
\b0 ;\
	\}\
\
//\
//	
\b Class Management
\b0 \
//\
	- 
\b init
\b0 ;\
	- 
\b free
\b0 ;\
\
//\
//	
\b User Interface
\b0 \
//\
	- 
\b showNavigator
\b0 ;\
	- 
\b showHistory
\b0 ;\
	- 
\b backtrack
\b0 :sender;\
	- 
\b navigate
\b0 :sender;\
	- 
\b inspect
\b0 :sender;\
	- 
\b runQuery
\b0 :sender;\
	- 
\b reset
\b0 :sender;\
	- 
\b touch
\b0 ;\
	\
//\
//	
\b <DocNotification>
\b0 \
//\
	- 
\b docWillOpen
\b0 :theDocinfo;\
	- 
\b docDidWrite
\b0 :theDocinfo;\
\
//\
//	
\b Filesystem Querying
\b0 \
//\
	- 
\b find
\b0 :(const char *) 
\b regex
\b0  
\b inLibrary
\b0 :(const char *) lib\
		
\b target
\b0 :(id) target 
\b action
\b0 :(SEL) action;\
	- 
\b find
\b0 :(const char *) 
\b regex
\b0  
\b inDir
\b0 :(const char *) dir\
		
\b target
\b0 :(id) target 
\b action
\b0 :(SEL) action;\
\
//\
//	
\b Database Management
\b0 \
//\
	- (
\b BOOL
\b0 )
\b isParent
\b0 :aDocInfo;\
	- (
\b List
\b0  *)
\b btList
\b0 ;\
	- (
\b List
\b0  *)
\b query
\b0 :(const char *)
\b theQuery
\b0  
\b field
\b0 :(const char *) 
\b theField
\b0 ;\
	- (
\b List
\b0  *)
\b queryByPanel
\b0 ;\
\
//\
//	
\b AppKit Delegate
\b0 \
//\
	- (
\b int
\b0 ) 
\b browser
\b0 :theBrowser 
\b fillMatrix
\b0 :theMatrix 
\b inColumn
\b0 :(int) col;\
	- 
\b windowDidUpdate
\b0 :sender;\
\

\i @end
}
