{\rtf0\ansi{\fonttbl\f0\fmodern Courier;\f2\ftech Symbol;\f1\fmodern Ohlfs;}
\margl40
\margr40
\pard\tx520\tx1060\tx1600\tx2120\tx2660\tx3200\tx3720\tx4260\tx4800\tx5320\f0\b0\i0\ulnone\fs24\fc0\cf0 //\
//
\i 	
\b FILENAME
\b0 :	
\b\i0 Router.h \

\b0 //
\i 	
\b SUMMARY
\b0 :	
\b\i0 Header for Router, which adds various services to NXApp
\b0 \
//	
\b\i SUPERCLASS
\b0 :
\i0 	
\b Application(Router)	
\b0 \
//	
\b\i PROTOCOLS
\b0 :
\i0 	
\b <MailListener>
\b0 \
//	
\b\i INTERFACE
\b0 :
\i0 	
\b None
\b0 \
//	
\b\i AUTHOR
\b0 :		
\b\i0 Rohit Khare
\b0 \
//	
\b\i COPYRIGHT
\b0 :	
\f2\i0 
\f0\b 1993,94 California Institure of Technology, eText Project\

\b0 //\
//	
\b\i Description
\b0\i0 \
//		The router's main functionality is to advertise well-known objects and\
//	some central services, such as vending ID numbers and timestamps.\
//		The router adds some accessor methods to "publish" the value of Kernel\
//	classes: 
\i etApp, userModel, navigator, 
\i0 and
\i  inspector
\i0 . It also holds a\
//	
\i sharedText
\i0  which is used as scratch space for other classes.\
//\
//		The Router also adds facilities for routing messages to Mail.app\
//\
//	
\b\i HISTORY
\b0\i0 \
//	09/27/94:	
\b Revamped for eText5
\b0 \
//	07/06/94:	
\b Added kernel-wide mail-messaging support.
\b0 \
//	01/10/94:	
\b Added sharedText
\b0 \
//	01/05/94:	
\b Created.
\b0 \
//\
//	
\b Imported Interfaces
\b0 \
//\
	#import "
\b eTextKernel.h
\b0 "\
\

\i @interface Application (Router)\

\i0 //\
//	
\b Public Services
\b0 \
//\
	- (long) 
\b uniqueID
\b0 ;\
	- (const char *) 
\b versionStr
\b0 ;\
	- (const char *) 
\b date
\b0 ;\
	- 
\b sendMailTo
\b0 :(const char *)to 
\b cc
\b0 :(const char *)cc \
			
\b subject
\b0 :(const char *)subject\

\b 			body
\b0 :(const char*)body 
\b deliver
\b0 :(BOOL)deliver;\
\
//\
//	
\b Public Objects
\b0 \
//\
	- 
\b etApp
\b0 ;\
	- 
\b userModel
\b0 ;\
	- 
\b navigator
\b0 ;\
	- 
\b inspector
\b0 ;\
	- 
\b sharedText
\b0 ;\

\i @end\

\pard\tx1140\tx2300\tx3440\tx4600\tx5760\tx6900\tx8060\tx9200\tx10360\tx11520\i0\fc0\cf0 \

\pard\tx520\tx1060\tx1600\tx2120\tx2660\tx3200\tx3720\tx4260\tx4800\tx5320\i\fc0\cf0 @protocol MailListener\

\i0 	- 
\b openSend
\b0 ;\
	- 
\b setTo
\b0 :(NXAtom)toField;\
	- 
\b setSubject
\b0 :(NXAtom) subjectField;\
	- 
\b setCc
\b0 :(NXAtom)ccField;\
	- 
\b setBody
\b0 :(NXAtom)bodyField;\
	- 
\b deliver
\b0 ;\
	- 
\b openSend
\b0 :(int *)sender;\
	- 
\b setTo
\b0  : (NXAtom) toField inWindow:(int)
\b sender
\b0 ;\
	- 
\b setSubject
\b0  : (NXAtom) subjectField inWindow:(int)
\b sender
\b0 ;\
	- 
\b setCc
\b0  : (NXAtom) ccField inWindow:(int)
\b sender
\b0 ;\
	- 
\b setBody
\b0  : (NXAtom) bodyField inWindow:(int)
\b sender
\b0 ;\
	- 
\b deliver
\b0 :(int)
\b sender
\b0 ;\

\i @end
\i0 \

}
