{\rtf0\ansi{\fonttbl\f0\fmodern Courier;\f1\ftech Symbol;\f3\fmodern Ohlfs;}
\margl40
\margr40
\pard\tx520\tx1060\tx1600\tx2120\tx2660\tx3200\tx3720\tx4260\tx4800\tx5320\f0\b0\i0\ulnone\fs24\fc0\cf0 //\
//
\i 	
\b FILENAME
\b0 :	
\b\i0 UserModel.h \

\b0 //
\i 	
\b SUMMARY
\b0 :	
\b\i0 Header for the UserModel, which encapsulates user prefs.
\b0 \
//	
\b\i SUPERCLASS
\b0 :
\i0 	
\b Object:UserModel	
\b0 \
//	
\b\i PROTOCOLS
\b0 :
\i0 	
\b None
\b0 \
//	
\b\i INTERFACE
\b0 :
\i0 	
\b UserModel.nib
\b0 \
//	
\b\i AUTHOR
\b0 :		
\b\i0 Rohit Khare
\b0 \
//	
\b\i COPYRIGHT
\b0 :	
\f1\i0 
\f0\b 1993,94 California Institure of Technology, eText Project\

\b0 //\
//	
\b\i Description
\b0\i0 \
//		Supposed to be a one-stop model for caching user preferences on a key-\
//	value basis. Future ideas might include keyed streams for allowing \
//	personal annotations of read-only documents.\
//\
//	
\b\i HISTORY
\b0\i0 \
//	09/27/94:	
\b Revamped for eText5
\b0 \
//	07/25/94:	
\b Added setHTMD:, setETFD: (see also support in eTApp, eTDocUI)
\b0 \
//	01/20/94:	
\b Revised for eText4
\b0 \
//	08/21/93:	
\b Created. Gutless object
\b0 \
//\
//	
\b Imported Interfaces
\b0 \
//\
	#import "
\b eTextKernel.h
\b0 "\
	\
	#define 
\b ETFDIRECTORY
\b0  	"
\b ETFDirectory
\b0 "\
	#define 
\b HTMDIRECTORY
\b0  	"
\b HTMDirectory
\b0 "\
\

\i @interface UserModel:Object 
\i0 \{\
//\
//	
\b Instance Variables
\b0 \
//\
	Panel		*
\b prefsPanel
\b0 ;\
	TextField	*
\b queryField
\b0 ;\
	TextField	*
\b valueField
\b0 ;\
	TextField	*
\b HTMDField
\b0 ;\
	TextField	*
\b ETFDField
\b0 ;\
	\}\
\
//\
//	
\b Class Management
\b0 \
//\
	- 
\b init
\b0 ;\
\
//\
//	
\b Public UserModel API
\b0 \
//\
	- (const char*)
\b stringQuery
\b0 :(const char*)theQuery;\
	- (
\b BOOL
\b0 )
\b boolQuery
\b0 :(const char*)theQuery;\
	- (
\b int
\b0 )
\b intQuery
\b0 :(const char*)theQuery;\
	- 
\b bindValue
\b0 :(const char*)theValue 
\b for
\b0 :(const char*)theQuery;\
	- 
\b bindKey
\b0 :(const char*)theQuery 
\b to
\b0 :(const char*)theValue;\
	- 
\b defaultValue
\b0 :(const char *)theValue 
\b for
\b0 :(const char*)theQuery;\
\
//\
//	
\b User Interface
\b0 \
//\
	- 
\b showPreferences
\b0 ;\
	- 
\b doQuery
\b0 :sender;\
	- 
\b doBind
\b0 :sender;\
	- 
\b setHTMD
\b0 :sender;\
	- 
\b setETFD
\b0 :sender;\
\

\i @end
}
